<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ym.mec.education.mapper.CourseScheduleTeacherSalaryMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.ym.mec.education.entity.CourseScheduleTeacherSalary">
        <id column="id_" property="id" />
        <result column="course_schedule_id_" property="courseScheduleId" />
        <result column="teacher_role_" property="teacherRole" />
        <result column="user_id_" property="userId" />
        <result column="salary_" property="salary" />
        <result column="create_time_" property="createTime" />
        <result column="create_update_" property="createUpdate" />
        <result column="subsidy_" property="subsidy" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id_, course_schedule_id_, teacher_role_, user_id_, salary_, create_time_, create_update_, subsidy_
    </sql>

</mapper>
